: Class CompositionPanel

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.composition
Class CompositionPanel

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--grendel.ui.GeneralPanel
                                    |
                                    +--grendel.composition.CompositionPanel

public class CompositionPanel
extends GeneralPanel

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary
`static java.lang.String` | `addressBookCardTag`
`static java.lang.String` | `addSignatureTag`
`static java.lang.String` | `blankPageTag`
`static java.lang.String` | `closeWindowTag`
`static java.lang.String` | `DeleteTag`
`static java.lang.String` | `fileTag`
`static java.lang.String` | `findAgainTag`
`static java.lang.String` | `findInMessageTag`
`static java.lang.String` | `goOfflineTag`
`static java.lang.String` | `hideAddressingAreaTag`
`static java.lang.String` | `hideMessageToolbarTag`
`static java.lang.String` | `inlineOriginalTextTag`
`static java.lang.String` | `messageTag`
`static java.lang.String` | `myAddressBookCardTag`
`static java.lang.String` | `navigatorWindowTag`
`static java.lang.String` | `pageFromTemplateTag`
`static java.lang.String` | `pageFromWizardTag`
`static java.lang.String` | `pasteAsQuotationTag`
`static java.lang.String` | `preferencesTag`
`static java.lang.String` | `quoteOriginalTextTag`
`static java.lang.String` | `saveAsTag`
`static java.lang.String` | `saveDraftTag`
`static java.lang.String` | `searchDirectoryTag`
`static java.lang.String` | `selectAddressesTag`
`static java.lang.String` | `selectAllTag`
`static java.lang.String` | `sendLaterTag`
`static java.lang.String` | `sendNowTag`
`static java.lang.String` | `undoTag`
`static java.lang.String` | `viewAddressTag`
`static java.lang.String` | `viewAttachmentsTag`
`static java.lang.String` | `viewOptionsTag`
`static java.lang.String` | `webPageTag`
`static java.lang.String` | `wrapLongLinesTag`

Fields inherited from class grendel.ui.GeneralPanel
`fResourceBase, fToolBar`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`CompositionPanel(javax.mail.Session aSession)`

Method Summary
`void` | `addCompositionPanelListener(CompositionPanelListener l)` Add a CompositionPanelListener
`void` | `AddSignature()` Add a signature
`void` | `dispose()`
`UIAction[]` | `getActions()` Fetch the list of actions supported by this editor.
`AddressBar` | `getAddressBar()` Return the addressing bar
`protected java.awt.Frame` | `getParentFrame()` Find the hosting frame, for the file-chooser dialog.
`void` | `InlineOriginalMessage()` Inline the orgininal message when forwarding
`protected void` | `notifyMailSent()`
`protected void` | `notifySendFailed()`
`protected void` | `notifySendingMail()`
`void` | `QuoteOriginalMessage()` Quote the orgininal message in a reply
`void` | `removeCompositionPanelListener(CompositionPanelListener l)` Remove a CompositionPanelListener

Methods inherited from class grendel.ui.GeneralPanel
`buildToolBar, getToolBar`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUIClassID, paramString, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInsets, getInsets, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, processComponentKeyEvent, processFocusEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### saveDraftTag

    public static final java.lang.String saveDraftTag

### saveAsTag

    public static final java.lang.String saveAsTag

### sendNowTag

    public static final java.lang.String sendNowTag

### sendLaterTag

    public static final java.lang.String sendLaterTag

### quoteOriginalTextTag

    public static final java.lang.String quoteOriginalTextTag

### inlineOriginalTextTag

    public static final java.lang.String inlineOriginalTextTag

### addSignatureTag

    public static final java.lang.String addSignatureTag

### selectAddressesTag

    public static final java.lang.String selectAddressesTag

### goOfflineTag

    public static final java.lang.String goOfflineTag

### closeWindowTag

    public static final java.lang.String closeWindowTag

### navigatorWindowTag

    public static final java.lang.String navigatorWindowTag

### messageTag

    public static final java.lang.String messageTag

### blankPageTag

    public static final java.lang.String blankPageTag

### pageFromTemplateTag

    public static final java.lang.String pageFromTemplateTag

### pageFromWizardTag

    public static final java.lang.String pageFromWizardTag

### fileTag

    public static final java.lang.String fileTag

### webPageTag

    public static final java.lang.String webPageTag

### addressBookCardTag

    public static final java.lang.String addressBookCardTag

### myAddressBookCardTag

    public static final java.lang.String myAddressBookCardTag

### undoTag

    public static final java.lang.String undoTag

### pasteAsQuotationTag

    public static final java.lang.String pasteAsQuotationTag

### DeleteTag

    public static final java.lang.String DeleteTag

### selectAllTag

    public static final java.lang.String selectAllTag

### findInMessageTag

    public static final java.lang.String findInMessageTag

### findAgainTag

    public static final java.lang.String findAgainTag

### searchDirectoryTag

    public static final java.lang.String searchDirectoryTag

### preferencesTag

    public static final java.lang.String preferencesTag

### hideMessageToolbarTag

    public static final java.lang.String hideMessageToolbarTag

### hideAddressingAreaTag

    public static final java.lang.String hideAddressingAreaTag

### viewAddressTag

    public static final java.lang.String viewAddressTag

### viewAttachmentsTag

    public static final java.lang.String viewAttachmentsTag

### viewOptionsTag

    public static final java.lang.String viewOptionsTag

### wrapLongLinesTag

    public static final java.lang.String wrapLongLinesTag

Constructor Detail

### CompositionPanel

    public CompositionPanel(javax.mail.Session aSession)

Method Detail

### dispose

    public void dispose()

### getActions

    public UIAction[] getActions()

  Fetch the list of actions supported by this editor. It is implemented to return the list of actions supported by the embedded JTextComponent augmented with the actions defined locally.
  Overrides:
    getActions in class GeneralPanel

### getAddressBar

    public AddressBar getAddressBar()

  Return the addressing bar

### addCompositionPanelListener

    public void addCompositionPanelListener(CompositionPanelListener l)

  Add a CompositionPanelListener

### removeCompositionPanelListener

    public void removeCompositionPanelListener(CompositionPanelListener l)

  Remove a CompositionPanelListener

### QuoteOriginalMessage

    public void QuoteOriginalMessage()

  Quote the orgininal message in a reply

### InlineOriginalMessage

    public void InlineOriginalMessage()

  Inline the orgininal message when forwarding

### AddSignature

    public void AddSignature()

  Add a signature

### notifySendingMail

    protected void notifySendingMail()

### notifyMailSent

    protected void notifyMailSent()

### notifySendFailed

    protected void notifySendFailed()

### getParentFrame

    protected java.awt.Frame getParentFrame()

  Find the hosting frame, for the file-chooser dialog.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD